Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 656672 - dev-util/kdstatemachineeditor-1.2.3 : /.../moc_element.cpp:283:60: error: invalid use of incomplete type class QPointF
Summary: dev-util/kdstatemachineeditor-1.2.3 : /.../moc_element.cpp:283:60: error: inv...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Petross404(Petros S)
URL:
Whiteboard:
Keywords: PATCH
Depends on:
Blocks: qt-5.11
  Show dependency tree
 
Reported: 2018-05-27 11:53 UTC by Toralf Förster
Modified: 2018-07-14 14:57 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,18.93 KB, text/plain)
2018-05-27 11:53 UTC, Toralf Förster
Details
dev-util:kdstatemachineeditor-1.2.3:20180527-114827.log (dev-util:kdstatemachineeditor-1.2.3:20180527-114827.log,119.50 KB, text/plain)
2018-05-27 11:53 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,354.37 KB, text/plain)
2018-05-27 11:53 UTC, Toralf Förster
Details
environment (environment,118.91 KB, text/plain)
2018-05-27 11:53 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,20.35 KB, application/x-bzip)
2018-05-27 11:53 UTC, Toralf Förster
Details
logs.tbz2 (logs.tbz2,6.14 KB, application/x-bzip)
2018-05-27 11:53 UTC, Toralf Förster
Details
temp.tbz2 (temp.tbz2,32.55 KB, application/x-bzip)
2018-05-27 11:53 UTC, Toralf Förster
Details
fix_QPointF_kdstatemachineeditor.patch (fix_QPointF_kdstatemachineeditor.patch,591 bytes, patch)
2018-05-27 13:41 UTC, Petross404(Petros S)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2018-05-27 11:53:33 UTC
In file included from /var/tmp/portage/dev-util/kdstatemachineeditor-1.2.3/work/kdstatemachineeditor-1.2.3_build/src/core/kdstatemachineeditor_core_autogen/mocs_compilation.cpp:3:0:
/var/tmp/portage/dev-util/kdstatemachineeditor-1.2.3/work/kdstatemachineeditor-1.2.3_build/src/core/kdstatemachineeditor_core_autogen/NLOY5YBGEN/moc_element.cpp: In static member function ‘static void KDSME::Element::qt_static_metacall(QObject*, QMetaObject::Call, int, void**)’:
/var/tmp/portage/dev-util/kdstatemachineeditor-1.2.3/work/kdstatemachineeditor-1.2.3_build/src/core/kdstatemachineeditor_core_autogen/NLOY5YBGEN/moc_element.cpp:283:60: error: invalid use of incomplete type ‘class QPointF’
         case 4: *reinterpret_cast< QPointF*>(_v) = _t->pos(); break;
                                                            ^
In file included from /usr/include/qt5/QtCore/qvariant.h:46:0,

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.0-desktop-plasma-systemd_libressl_20180516-202814

  -------------------------------------------------------------------

gcc-config -l:
 [1] x86_64-pc-linux-gnu-7.3.0 *

Available Python interpreters, in order of preference:
  [1]   python3.5
  [2]   python2.7 (fallback)
  [3]   pypy (fallback)
Available Ruby profiles:
  [1]   ruby23 (with Rubygems) *
java-config:
The following VMs are available for generation-2:
*)	IcedTea JDK 3.7.0 [icedtea-bin-8]
Available Java Virtual Machines:
  [1]   icedtea-bin-8  system-vm

emerge -qpv dev-util/kdstatemachineeditor
[ebuild  N    ] dev-util/kdstatemachineeditor-1.2.3  USE="-doc {-test}" 

!!! The following installed packages are masked:
- dev-libs/libattica-0.4.2::gentoo (masked by: package.mask)
/usr/portage/profiles/package.mask:
# Andreas Sturmlechner <asturm@gentoo.org> (24 May 2018)
# Depends on dead Qt4. Masked for removal in 30 days. Bug #629018

For more information, see the MASKED PACKAGES section in the emerge
man page or refer to the Gentoo Handbook.
Comment 1 Toralf Förster gentoo-dev 2018-05-27 11:53:36 UTC
Created attachment 533500 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2018-05-27 11:53:40 UTC
Created attachment 533502 [details]
dev-util:kdstatemachineeditor-1.2.3:20180527-114827.log
Comment 3 Toralf Förster gentoo-dev 2018-05-27 11:53:44 UTC
Created attachment 533504 [details]
emerge-history.txt
Comment 4 Toralf Förster gentoo-dev 2018-05-27 11:53:47 UTC
Created attachment 533506 [details]
environment
Comment 5 Toralf Förster gentoo-dev 2018-05-27 11:53:51 UTC
Created attachment 533508 [details]
etc.portage.tbz2
Comment 6 Toralf Förster gentoo-dev 2018-05-27 11:53:54 UTC
Created attachment 533510 [details]
logs.tbz2
Comment 7 Toralf Förster gentoo-dev 2018-05-27 11:53:58 UTC
Created attachment 533512 [details]
temp.tbz2
Comment 8 Petross404(Petros S) 2018-05-27 13:41:45 UTC
Created attachment 533518 [details, diff]
fix_QPointF_kdstatemachineeditor.patch

The following patch solved the problem. 


From 63ca52af50f94b396182638224fe2c50b4cb7043 Mon Sep 17 00:00:00 2001
From: Allen Winter <allen.winter@kdab.com>
Date: Thu, 5 Apr 2018 10:07:01 -0400
Subject: [PATCH] src/core/model/element.h - fix compile on with XCode (include QPointF)

---
 src/core/model/element.h | 1 +
 1 file changed, 1 insertion(+)

diff --git a/src/core/model/element.h b/src/core/model/element.h
index ec32cfc..c20ac6f 100644
--- a/src/core/model/element.h
+++ b/src/core/model/element.h
@@ -30,6 +30,7 @@
 
 #include <QObject>
 #include <QMetaType>
+#include <QPointF>
 
 QT_BEGIN_NAMESPACE
 class QPainterPath;
Comment 9 Larry the Git Cow gentoo-dev 2018-07-14 14:57:55 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=dfd1cccca3ad94e4bd0401f740d02bf723a9edb3

commit dfd1cccca3ad94e4bd0401f740d02bf723a9edb3
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2018-07-14 14:53:47 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2018-07-14 14:55:53 +0000

    dev-util/kdstatemachineeditor: Fix build with Qt 5.11
    
    Thanks-to: Petross404(Petros S) <petross404@gmail.com>
    Closes: https://bugs.gentoo.org/656672
    Package-Manager: Portage-2.3.41, Repoman-2.3.9

 .../files/kdstatemachineeditor-1.2.3-qt-5.11.patch  | 21 +++++++++++++++++++++
 .../kdstatemachineeditor-1.2.3.ebuild               |  2 ++
 2 files changed, 23 insertions(+)